package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 敏感词对象 t_sensitive_words
 *
 * @author huijy
 * @date 2021-08-30
 */
public class TSensitiveWords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 敏感词id */
    private Long sensitiveWordsId;

    /** 关键词 */
    @Excel(name = "关键词")
    private String keyword;

    /** 使用标志 0、不使用 1、使用 */
    @Excel(name = "使用标志 0、不使用 1、使用")
    private String useState;

    /** 创建人 */
    private Long createAt;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setSensitiveWordsId(Long sensitiveWordsId)
    {
        this.sensitiveWordsId = sensitiveWordsId;
    }

    public Long getSensitiveWordsId()
    {
        return sensitiveWordsId;
    }
    public void setKeyword(String keyword)
    {
        this.keyword = keyword;
    }

    public String getKeyword()
    {
        return keyword;
    }
    public void setUseState(String useState)
    {
        this.useState = useState;
    }

    public String getUseState()
    {
        return useState;
    }
    public void setCreateAt(Long createAt)
    {
        this.createAt = createAt;
    }

    public Long getCreateAt()
    {
        return createAt;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("sensitiveWordsId", getSensitiveWordsId())
            .append("keyword", getKeyword())
            .append("useState", getUseState())
            .append("createTime", getCreateTime())
            .append("createAt", getCreateAt())
            .append("remarks", getRemarks())
            .toString();
    }
}
